Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 605446 - net-misc/openssh-7.4_p1: test failure: interop-tests: conch-ciphers.sh
Summary: net-misc/openssh-7.4_p1: test failure: interop-tests: conch-ciphers.sh
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2017-01-12 08:52 UTC by Toralf Förster
Modified: 2018-06-11 22:50 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,6.27 KB, text/plain)
2017-01-12 08:52 UTC, Toralf Förster
Details
config.log.bz2 (config.log.bz2,33.78 KB, application/x-bzip)
2017-01-12 08:52 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,87.87 KB, text/plain)
2017-01-12 08:52 UTC, Toralf Förster
Details
environment (environment,150.60 KB, text/plain)
2017-01-12 08:52 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.28 KB, application/x-bzip)
2017-01-12 08:52 UTC, Toralf Förster
Details
net-misc:openssh-7.4_p1:20170112-060854.log (net-misc:openssh-7.4_p1:20170112-060854.log,227.53 KB, text/plain)
2017-01-12 08:52 UTC, Toralf Förster
Details
Skip conch interoperability test (0500_skip_conch_interop_tests.patch,436 bytes, patch)
2018-06-11 12:44 UTC, Étienne Buira
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-01-12 08:52:23 UTC
corrupted copy
failed conch ciphers
make[1]: *** [Makefile:206: t-exec-interop] Error 1
make[1]: Target 'interop-tests' not remade because of errors.
make[1]: Leaving directory '/var/tmp/portage/net-misc/openssh-7.4_p1/work/openssh-7.4p1/regress'

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named gnome-systemd-unstable_20170110-104858) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config --version:
3.9.1
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
Available Python interpreters, in order of preference:
  [1]   python2.7
  [2]   python3.4
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.2.0 [icedtea-bin-8]
  -----------------------------------------------------------------
Comment 1 Toralf Förster gentoo-dev 2017-01-12 08:52:26 UTC
Created attachment 459712 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-01-12 08:52:29 UTC
Created attachment 459714 [details]
config.log.bz2
Comment 3 Toralf Förster gentoo-dev 2017-01-12 08:52:31 UTC
Created attachment 459716 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-01-12 08:52:34 UTC
Created attachment 459718 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-01-12 08:52:37 UTC
Created attachment 459720 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-01-12 08:52:40 UTC
Created attachment 459722 [details]
net-misc:openssh-7.4_p1:20170112-060854.log
Comment 7 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-01-12 09:23:31 UTC
This looks very similar to failures I saw in HPN testing previously, but you don't have USE=hpn in this case.

Wonder if we're finding an edge case in upstream testsuites?
Comment 8 Toralf Förster gentoo-dev 2017-01-12 09:32:35 UTC
(In reply to Robin Johnson from comment #7)
IMO it is related to *this* image - it emerges fine at other tinderbox images having different profile + settings.
Comment 9 SpanKY gentoo-dev 2017-03-20 19:03:10 UTC
and 7.5p1 is back to passing.  whee.
Comment 10 Mart Raudsepp gentoo-dev 2017-05-20 07:52:24 UTC
Is this the same?

make[1]: Entering directory '/tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress'
run test putty-transfer.sh ...
putty interop tests not enabled
run test putty-ciphers.sh ...
putty interop tests not enabled
run test putty-kex.sh ...
putty interop tests not enabled
run test conch-ciphers.sh ...
conch ciphers: cipher aes256-ctr
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher aes256-cbc
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher aes192-ctr
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher aes192-cbc
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher aes128-ctr
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher aes128-cbc
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher cast128-cbc
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher blowfish
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
conch ciphers: cipher 3des-cbc
cmp: EOF on /tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress/copy
corrupted copy
failed conch ciphers
make[1]: *** [Makefile:206: t-exec-interop] Error 1
make[1]: Target 'interop-tests' not remade because of errors.
make[1]: Leaving directory '/tmp/portage/net-misc/openssh-7.5_p1-r1/work/openssh-7.5p1/regress'
make: *** [Makefile:585: interop-tests] Error 2
Comment 11 Rolf Eike Beer 2017-11-18 09:15:30 UTC
I also see the putty errors on my sparc:

make[1]: Entering directory '/var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress'
run test putty-transfer.sh ...
putty transfer data: proto 2 compression 0
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: EOF on /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
putty transfer data: proto 2 compression 1
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: EOF on /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
ssh cat /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/data failed
cmp: /var/tmp/portage/net-misc/openssh-7.5_p1-r3/work/openssh-7.5p1/regress/copy: No such file or directory
corrupted copy
failed putty transfer data
Comment 12 Étienne Buira 2018-06-11 12:44:31 UTC
Created attachment 535644 [details, diff]
Skip conch interoperability test
Comment 13 Étienne Buira 2018-06-11 12:46:55 UTC
@Mart: yes, it is the same
@Rolf: not the same, but maybe the same rationale behind it

This failure is due to conch trying to login although user has no usable shell (usually /bin/false)

The previously posted patch should only actually be applied in case $UID's shell is not usable (there is already a test in src_test)
Comment 14 Thomas Deutschmann gentoo-dev Security 2018-06-11 14:50:33 UTC
Can you please test =net-misc/openssh-7.7_p1-r4 which were are going to stabilize via bug 657366? Also, I don't understand why you hit this at all, you should see something like

> run test putty-transfer.sh ...
> putty interop tests not enabled
> run test putty-ciphers.sh ...
> putty interop tests not enabled
> run test putty-kex.sh ...
> putty interop tests not enabled
> run test conch-ciphers.sh ...
> conch interop tests not enabled

...so no patch needed to conch test.
Comment 15 Étienne Buira 2018-06-11 15:17:40 UTC
This bug is NOT resolved.

conch tests are enabled if conch binary (from dev-python/twisted) is found (this is in regress/test-run.sh IIRC)

I filed a bug against dev-python/twisted (#657818) because at the moment it installs conch binary whatever useflag conch is set to. But this is not very relevant because i don't see any reason to forbid conch and openssh being installed on the same system.
Comment 16 Thomas Deutschmann gentoo-dev Security 2018-06-11 15:56:32 UTC
It wasn't closed as "RESOLVED", it was closed as "NEEDINFO".

Thank you, you provided the requested information. Now I am able to reproduce and hopefully able to fix.
Comment 17 Thomas Deutschmann gentoo-dev Security 2018-06-11 22:25:55 UTC
OK, the test is passing when you run it manually (when using Python3).

It is failing when you run the test through sys-apps/portage. Even when using FEATURES="-ipc-sandbox -network-sandbox -sandbox -userpriv -usersandbox".

After adding debug code I see that conch will output

> 2018-06-11 23:12:24+0200 [-] sending eof

when tests are failing. These line is missing when you run it manually and tests pass.

Given that the test is also failing when running manually when using Python2 I am going to disable this test for now.
Comment 18 Larry the Git Cow gentoo-dev 2018-06-11 22:47:07 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=987bc3f518ed55f6e888a0c6c40182b956e9935c

commit 987bc3f518ed55f6e888a0c6c40182b956e9935c
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2018-06-11 22:44:35 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2018-06-11 22:46:57 +0000

    net-misc/openssh: disable conch interopt tests
    
    Bug: https://bugs.gentoo.org/605446
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../openssh-7.5_p1-disable-conch-interop-tests.patch | 20 ++++++++++++++++++++
 net-misc/openssh/openssh-7.5_p1-r4.ebuild            |  1 +
 net-misc/openssh/openssh-7.6_p1-r4.ebuild            |  1 +
 net-misc/openssh/openssh-7.6_p1-r5.ebuild            |  1 +
 net-misc/openssh/openssh-7.7_p1-r4.ebuild            |  1 +
 5 files changed, 24 insertions(+)